<?php         
  if(isset($_GET))
  {           
    require_once 'common.php';
    require_once 'class_telldus_live.php';
    $telldus_api = new TELLDUS_LIVE();
  }      
  
  if(isset($_GET))
  {           
    require_once('common.php');
    require_once('class_telldus_live.php');
    $telldus_api = new TELLDUS_LIVE();
    if(isset($_GET['PHPSESSID']))
    {
        setcookie('PHPSESSID', $_GET['PHPSESSID']);
        header('Location: index.php');
    }
  }
   
  if (isset($_GET['clear'])) {
  	session_destroy();
  	header('location:index.php');
  	exit();
  }

  if(!isset($_GET['ajax']) || !isset($_SESSION['accessToken']))
  {
    ?>
    <!DOCTYPE html>
    <html>
      <head>
        <title>Telldus remote</title>
        <link rel="stylesheet" href="remote.css" />
        <script type="text/javascript" src="http://code.jquery.com/jquery-1.7.1.min.js"></script>
        <script type="text/javascript">
          function request(sUrl, sId)
          {
            var responseHtml = '';
            responseHtml = $.ajax(
              {
                url:'?ajax&'+sUrl,
                async:false
              }
            ).responseText;
            if(sId)
            {
              $('#'+sId).hide();
              $('#'+sId).html(responseHtml);
              $('#'+sId).slideDown();
            }
            else
            {
              alert(responseHtml);
            }
          }
        </script>
        <meta charset="utf-8">
      </head>
      <body>
        <!--<h1>Telldus remote</h1>--> 
        <?php
        if (!isset($_SESSION['accessToken'])) {
        	?>
          <h2>Session :</h2>
          No access token: <a href="getRequestToken.php">connexion</a><?php
        	exit();
        }
    }

    if(!empty($_SESSION['token']) && !empty($_SESSION['tokenSecret']) && !isset($_GET['ajax'])) {
      $oClients = $telldus_api->getClients();
      echo '<div id="clients">';
      foreach($oClients->client as $client)
      {
        if(isset($_POST['origin']) && $_POST['origin'] == 'widget_windows')
        {
          echo '<h2 class="client" onclick="changeContent(\'?getDevices&idClient='.$client->id.'\');">'.$client->name.'</h2>';
          echo '<a href="javascript:changeContent(\'?getDevices&idClient='.$client->id.'\');">'.$client->name.'</a>';
        }
        else
        {
          echo '<h2 class="client" onClick="request(\'getDevices&idClient='.$client->id.'\', \'client'.$client->id.'\');">'.$client->name.'</h2>';
        }
        echo '<div id="client'.$client->id.'"></div>';
      }
      echo '</div>';
    }

    if(isset($_GET['getDevices']))
    {
      $oSensors = $telldus_api->getSensors()->sensor;
      if($oSensors != array())
      {
          foreach($oSensors as $sensor)
          {
              $oSensor = $telldus_api->getSensor($sensor->id);
              echo '<div class="sensor tab">
                    <h3>'.ucfirst($oSensor->name).'</h3>
                    <span class="tab">'.$oSensor->data[0]->value.'°C ('.date('d M H\hi\ms\s', $oSensor->lastUpdated).')</span>
<hr />
                  </div>';

          }
      }
      $oDevices = $telldus_api->getDevices();
      if(isset($_GET['idClient']) && is_numeric($_GET['idClient']))
      {
        echo '<div id="devices">';
        $lastGroup = '';
        $group = '';
        foreach($oDevices->device as $device)
        {
          if($device->client == $_GET['idClient'])
          {
            $nbTab = 0;
            if(strpos($device->name, ' - '))
            {
              $group = explode(' - ', $device->name);
              if(count($group) > 1)
              {
                for($i=0; $i<count($group)-1; $i++)
                {
                  if(!isset($lastGroup[$i]) || $lastGroup[$i] != $group[$i])
                  {
                    echo '<div class="tab"><h2>'.$group[$i].'</h2>';
                    $nbTab++;
                  }
                  else
                  {
                    echo '<div class="tab">';
                    $nbTab++;
                  }
                }
                $name = $group[count($group)-1];
              }
              else
              {
                $name = $device->name;
              }
              $lastGroup = $group;
            }               
            echo '<div class="device tab state'.$device->state.'">
                    <h3>'.$name.'</h3>
                    <span onClick="request(\'deviceOff&idDevice='.$device->id.'\')"><img title="Off" alt="[ Off ]" src="http://live.telldus.com/img/state/state_2.png" /></span>
                    <span onClick="request(\'deviceOn&idDevice='.$device->id.'\')"><img title="On" alt="[ On ]" src="http://live.telldus.com/img/state/state_1.png" /></span>
                  </div>';
          }
          for($i=0; $i<$nbTab;$i++)
          {
            echo '</div>';
          }
        }
        echo '</div>';
      }  
    }
    
    if (isset($_GET['deviceOn'])) 
    { 
      if(isset($_GET['idDevice']) && is_numeric($_GET['idDevice']))
      {                                                        
      	echo $telldus_api->turnOnDevice($_GET['idDevice'])->status;
    	}
    }
    
    if (isset($_GET['deviceOff'])) 
    { 
      if(isset($_GET['idDevice']) && is_numeric($_GET['idDevice']))
      {                                                        
      	echo $telldus_api->turnOffDevice($_GET['idDevice'])->status;
    	}
    }
    
    
    if(!isset($_GET['ajax']) || !isset($_SESSION['accessToken']))
    {
    ?>   
      </body>
    </html>
    <?php
  }
?>
